<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.14"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>iipsrv: RawTile Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(initResizable);
/* @license-end */</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="iip.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">iipsrv
   &#160;<span id="projectnumber">1.1</span>
   </div>
   <div id="projectbrief">iipsrv is an advanced high-performance feature-rich image server for web-based streamed viewing and zooming of ultra high-resolution images</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.14 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classRawTile.html','');});
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="classRawTile-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">RawTile Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class to represent a single image tile.  
 <a href="classRawTile.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="RawTile_8h_source.html">RawTile.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a0d3ea62e49b44183db211a1017b673b4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRawTile.html#a0d3ea62e49b44183db211a1017b673b4">RawTile</a> (int tn=0, int res=0, int hs=0, int vs=0, int w=0, int h=0, int c=0, int b=0)</td></tr>
<tr class="memdesc:a0d3ea62e49b44183db211a1017b673b4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Main constructor.  <a href="#a0d3ea62e49b44183db211a1017b673b4">More...</a><br /></td></tr>
<tr class="separator:a0d3ea62e49b44183db211a1017b673b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b09197c64be0c10942dde1cf8b18548"><td class="memItemLeft" align="right" valign="top"><a id="a6b09197c64be0c10942dde1cf8b18548"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRawTile.html#a6b09197c64be0c10942dde1cf8b18548">~RawTile</a> ()</td></tr>
<tr class="memdesc:a6b09197c64be0c10942dde1cf8b18548"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor to free the data array if is has previously be allocated locally. <br /></td></tr>
<tr class="separator:a6b09197c64be0c10942dde1cf8b18548"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9cb496e7865c20c9e4678bd6c381261"><td class="memItemLeft" align="right" valign="top"><a id="ab9cb496e7865c20c9e4678bd6c381261"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRawTile.html#ab9cb496e7865c20c9e4678bd6c381261">RawTile</a> (const <a class="el" href="classRawTile.html">RawTile</a> &amp;tile)</td></tr>
<tr class="memdesc:ab9cb496e7865c20c9e4678bd6c381261"><td class="mdescLeft">&#160;</td><td class="mdescRight">Copy constructor - handles copying of data buffer. <br /></td></tr>
<tr class="separator:ab9cb496e7865c20c9e4678bd6c381261"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e91a2ddf63b1e6bb228d74446c60dcf"><td class="memItemLeft" align="right" valign="top"><a id="a6e91a2ddf63b1e6bb228d74446c60dcf"></a>
<a class="el" href="classRawTile.html">RawTile</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRawTile.html#a6e91a2ddf63b1e6bb228d74446c60dcf">operator=</a> (const <a class="el" href="classRawTile.html">RawTile</a> &amp;tile)</td></tr>
<tr class="memdesc:a6e91a2ddf63b1e6bb228d74446c60dcf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Copy assignment constructor. <br /></td></tr>
<tr class="separator:a6e91a2ddf63b1e6bb228d74446c60dcf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4aaec0288e5d3f5fbe653d55cf153bc8"><td class="memItemLeft" align="right" valign="top"><a id="a4aaec0288e5d3f5fbe653d55cf153bc8"></a>
unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRawTile.html#a4aaec0288e5d3f5fbe653d55cf153bc8">size</a> ()</td></tr>
<tr class="memdesc:a4aaec0288e5d3f5fbe653d55cf153bc8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the size of the data. <br /></td></tr>
<tr class="separator:a4aaec0288e5d3f5fbe653d55cf153bc8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a994e9e3a386bd44ceacd25f54ceacee4"><td class="memItemLeft" align="right" valign="top"><a id="a994e9e3a386bd44ceacd25f54ceacee4"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRawTile.html#a994e9e3a386bd44ceacd25f54ceacee4">tileNum</a></td></tr>
<tr class="memdesc:a994e9e3a386bd44ceacd25f54ceacee4"><td class="mdescLeft">&#160;</td><td class="mdescRight">The tile number for this tile. <br /></td></tr>
<tr class="separator:a994e9e3a386bd44ceacd25f54ceacee4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9bfdf53386b287f7c3fc6f55b34c7dc2"><td class="memItemLeft" align="right" valign="top"><a id="a9bfdf53386b287f7c3fc6f55b34c7dc2"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRawTile.html#a9bfdf53386b287f7c3fc6f55b34c7dc2">resolution</a></td></tr>
<tr class="memdesc:a9bfdf53386b287f7c3fc6f55b34c7dc2"><td class="mdescLeft">&#160;</td><td class="mdescRight">The resolution to which this tile belongs. <br /></td></tr>
<tr class="separator:a9bfdf53386b287f7c3fc6f55b34c7dc2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf557b561ec0c2e012cdeaac7618ea07"><td class="memItemLeft" align="right" valign="top"><a id="adf557b561ec0c2e012cdeaac7618ea07"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRawTile.html#adf557b561ec0c2e012cdeaac7618ea07">hSequence</a></td></tr>
<tr class="memdesc:adf557b561ec0c2e012cdeaac7618ea07"><td class="mdescLeft">&#160;</td><td class="mdescRight">The horizontal angle to which this tile belongs. <br /></td></tr>
<tr class="separator:adf557b561ec0c2e012cdeaac7618ea07"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5bf652f813c72cfe6b095880da27d8d0"><td class="memItemLeft" align="right" valign="top"><a id="a5bf652f813c72cfe6b095880da27d8d0"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRawTile.html#a5bf652f813c72cfe6b095880da27d8d0">vSequence</a></td></tr>
<tr class="memdesc:a5bf652f813c72cfe6b095880da27d8d0"><td class="mdescLeft">&#160;</td><td class="mdescRight">The vertical angle to which this tile belongs. <br /></td></tr>
<tr class="separator:a5bf652f813c72cfe6b095880da27d8d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac91c2369d082758d84e14e665ef89e50"><td class="memItemLeft" align="right" valign="top"><a id="ac91c2369d082758d84e14e665ef89e50"></a>
CompressionType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRawTile.html#ac91c2369d082758d84e14e665ef89e50">compressionType</a></td></tr>
<tr class="memdesc:ac91c2369d082758d84e14e665ef89e50"><td class="mdescLeft">&#160;</td><td class="mdescRight">Compression type. <br /></td></tr>
<tr class="separator:ac91c2369d082758d84e14e665ef89e50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad75ec271caaf53e42caafadca3ceb066"><td class="memItemLeft" align="right" valign="top"><a id="ad75ec271caaf53e42caafadca3ceb066"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRawTile.html#ad75ec271caaf53e42caafadca3ceb066">quality</a></td></tr>
<tr class="memdesc:ad75ec271caaf53e42caafadca3ceb066"><td class="mdescLeft">&#160;</td><td class="mdescRight">Compression rate or quality. <br /></td></tr>
<tr class="separator:ad75ec271caaf53e42caafadca3ceb066"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e0d331e87d42ba80b068c3c6da3eca6"><td class="memItemLeft" align="right" valign="top"><a id="a1e0d331e87d42ba80b068c3c6da3eca6"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRawTile.html#a1e0d331e87d42ba80b068c3c6da3eca6">filename</a></td></tr>
<tr class="memdesc:a1e0d331e87d42ba80b068c3c6da3eca6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of the file from which this tile comes. <br /></td></tr>
<tr class="separator:a1e0d331e87d42ba80b068c3c6da3eca6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5155d752cc69c6a5b1ca80d4bc5f263b"><td class="memItemLeft" align="right" valign="top"><a id="a5155d752cc69c6a5b1ca80d4bc5f263b"></a>
time_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRawTile.html#a5155d752cc69c6a5b1ca80d4bc5f263b">timestamp</a></td></tr>
<tr class="memdesc:a5155d752cc69c6a5b1ca80d4bc5f263b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tile timestamp. <br /></td></tr>
<tr class="separator:a5155d752cc69c6a5b1ca80d4bc5f263b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab914435da291c2834e763231ad973144"><td class="memItemLeft" align="right" valign="top"><a id="ab914435da291c2834e763231ad973144"></a>
void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRawTile.html#ab914435da291c2834e763231ad973144">data</a></td></tr>
<tr class="memdesc:ab914435da291c2834e763231ad973144"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to the image data. <br /></td></tr>
<tr class="separator:ab914435da291c2834e763231ad973144"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad007b64971987d44cdfa4869e39b0ad5"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRawTile.html#ad007b64971987d44cdfa4869e39b0ad5">memoryManaged</a></td></tr>
<tr class="separator:ad007b64971987d44cdfa4869e39b0ad5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3347b1e277e6a9ae76e586bc2039f1e"><td class="memItemLeft" align="right" valign="top"><a id="ab3347b1e277e6a9ae76e586bc2039f1e"></a>
unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRawTile.html#ab3347b1e277e6a9ae76e586bc2039f1e">dataLength</a></td></tr>
<tr class="memdesc:ab3347b1e277e6a9ae76e586bc2039f1e"><td class="mdescLeft">&#160;</td><td class="mdescRight">The size of the data pointed to by data. <br /></td></tr>
<tr class="separator:ab3347b1e277e6a9ae76e586bc2039f1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0dc4fe8867632abd2d33c8834c5f3fe4"><td class="memItemLeft" align="right" valign="top"><a id="a0dc4fe8867632abd2d33c8834c5f3fe4"></a>
unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRawTile.html#a0dc4fe8867632abd2d33c8834c5f3fe4">width</a></td></tr>
<tr class="memdesc:a0dc4fe8867632abd2d33c8834c5f3fe4"><td class="mdescLeft">&#160;</td><td class="mdescRight">The width in pixels of this tile. <br /></td></tr>
<tr class="separator:a0dc4fe8867632abd2d33c8834c5f3fe4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0ba8d4613c454cbbb73251600eae303"><td class="memItemLeft" align="right" valign="top"><a id="ae0ba8d4613c454cbbb73251600eae303"></a>
unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRawTile.html#ae0ba8d4613c454cbbb73251600eae303">height</a></td></tr>
<tr class="memdesc:ae0ba8d4613c454cbbb73251600eae303"><td class="mdescLeft">&#160;</td><td class="mdescRight">The height in pixels of this tile. <br /></td></tr>
<tr class="separator:ae0ba8d4613c454cbbb73251600eae303"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad51addf9934e3cbf3a23a261f988f781"><td class="memItemLeft" align="right" valign="top"><a id="ad51addf9934e3cbf3a23a261f988f781"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRawTile.html#ad51addf9934e3cbf3a23a261f988f781">channels</a></td></tr>
<tr class="memdesc:ad51addf9934e3cbf3a23a261f988f781"><td class="mdescLeft">&#160;</td><td class="mdescRight">The number of channels for this tile. <br /></td></tr>
<tr class="separator:ad51addf9934e3cbf3a23a261f988f781"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21c0728e8a6e11caa69a527c3e89f977"><td class="memItemLeft" align="right" valign="top"><a id="a21c0728e8a6e11caa69a527c3e89f977"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRawTile.html#a21c0728e8a6e11caa69a527c3e89f977">bpc</a></td></tr>
<tr class="memdesc:a21c0728e8a6e11caa69a527c3e89f977"><td class="mdescLeft">&#160;</td><td class="mdescRight">The number of bits per channel for this tile. <br /></td></tr>
<tr class="separator:a21c0728e8a6e11caa69a527c3e89f977"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac30ec52284c5cfe298da652f009f974e"><td class="memItemLeft" align="right" valign="top"><a id="ac30ec52284c5cfe298da652f009f974e"></a>
SampleType&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRawTile.html#ac30ec52284c5cfe298da652f009f974e">sampleType</a></td></tr>
<tr class="memdesc:ac30ec52284c5cfe298da652f009f974e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sample format type (fixed or floating point) <br /></td></tr>
<tr class="separator:ac30ec52284c5cfe298da652f009f974e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18ef629fc3cf0b2ef09417703985bfa1"><td class="memItemLeft" align="right" valign="top"><a id="a18ef629fc3cf0b2ef09417703985bfa1"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRawTile.html#a18ef629fc3cf0b2ef09417703985bfa1">padded</a></td></tr>
<tr class="memdesc:a18ef629fc3cf0b2ef09417703985bfa1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Padded. <br /></td></tr>
<tr class="separator:a18ef629fc3cf0b2ef09417703985bfa1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:a5fef13f37e92911061b80e2125bc2bc8"><td class="memItemLeft" align="right" valign="top"><a id="a5fef13f37e92911061b80e2125bc2bc8"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRawTile.html#a5fef13f37e92911061b80e2125bc2bc8">operator==</a> (const <a class="el" href="classRawTile.html">RawTile</a> &amp;A, const <a class="el" href="classRawTile.html">RawTile</a> &amp;B)</td></tr>
<tr class="memdesc:a5fef13f37e92911061b80e2125bc2bc8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Overloaded equality operator. <br /></td></tr>
<tr class="separator:a5fef13f37e92911061b80e2125bc2bc8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a399bc311a253c5572d27f51e4a473eda"><td class="memItemLeft" align="right" valign="top"><a id="a399bc311a253c5572d27f51e4a473eda"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRawTile.html#a399bc311a253c5572d27f51e4a473eda">operator!=</a> (const <a class="el" href="classRawTile.html">RawTile</a> &amp;A, const <a class="el" href="classRawTile.html">RawTile</a> &amp;B)</td></tr>
<tr class="memdesc:a399bc311a253c5572d27f51e4a473eda"><td class="mdescLeft">&#160;</td><td class="mdescRight">Overloaded non-equality operator. <br /></td></tr>
<tr class="separator:a399bc311a253c5572d27f51e4a473eda"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class to represent a single image tile. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a0d3ea62e49b44183db211a1017b673b4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0d3ea62e49b44183db211a1017b673b4">&#9670;&nbsp;</a></span>RawTile()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">RawTile::RawTile </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>tn</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>res</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>hs</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>vs</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>w</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>h</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>c</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>b</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Main constructor. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">tn</td><td>tile number </td></tr>
    <tr><td class="paramname">res</td><td>resolution </td></tr>
    <tr><td class="paramname">hs</td><td>horizontal sequence angle </td></tr>
    <tr><td class="paramname">vs</td><td>vertical sequence angle </td></tr>
    <tr><td class="paramname">w</td><td>tile width </td></tr>
    <tr><td class="paramname">h</td><td>tile height </td></tr>
    <tr><td class="paramname">c</td><td>number of channels </td></tr>
    <tr><td class="paramname">b</td><td>bits per channel per sample </td></tr>
  </table>
  </dd>
</dl>

<p class="reference">References <a class="el" href="classRawTile.html#a21c0728e8a6e11caa69a527c3e89f977">bpc</a>, <a class="el" href="classRawTile.html#ad51addf9934e3cbf3a23a261f988f781">channels</a>, <a class="el" href="classRawTile.html#ac91c2369d082758d84e14e665ef89e50">compressionType</a>, <a class="el" href="classRawTile.html#ab914435da291c2834e763231ad973144">data</a>, <a class="el" href="classRawTile.html#ab3347b1e277e6a9ae76e586bc2039f1e">dataLength</a>, <a class="el" href="classRawTile.html#ae0ba8d4613c454cbbb73251600eae303">height</a>, <a class="el" href="classRawTile.html#adf557b561ec0c2e012cdeaac7618ea07">hSequence</a>, <a class="el" href="classRawTile.html#ad007b64971987d44cdfa4869e39b0ad5">memoryManaged</a>, <a class="el" href="classRawTile.html#a18ef629fc3cf0b2ef09417703985bfa1">padded</a>, <a class="el" href="classRawTile.html#ad75ec271caaf53e42caafadca3ceb066">quality</a>, <a class="el" href="classRawTile.html#a9bfdf53386b287f7c3fc6f55b34c7dc2">resolution</a>, <a class="el" href="classRawTile.html#ac30ec52284c5cfe298da652f009f974e">sampleType</a>, <a class="el" href="classRawTile.html#a994e9e3a386bd44ceacd25f54ceacee4">tileNum</a>, <a class="el" href="classRawTile.html#a5155d752cc69c6a5b1ca80d4bc5f263b">timestamp</a>, <a class="el" href="classRawTile.html#a5bf652f813c72cfe6b095880da27d8d0">vSequence</a>, and <a class="el" href="classRawTile.html#a0dc4fe8867632abd2d33c8834c5f3fe4">width</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="ad007b64971987d44cdfa4869e39b0ad5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad007b64971987d44cdfa4869e39b0ad5">&#9670;&nbsp;</a></span>memoryManaged</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int RawTile::memoryManaged</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This tracks whether we have allocated memory locally for data or whether it is simply a pointer This is used in the destructor to make sure we deallocate correctly </p>

<p class="reference">Referenced by <a class="el" href="classRawTile.html#a6e91a2ddf63b1e6bb228d74446c60dcf">operator=()</a>, <a class="el" href="classRawTile.html#a0d3ea62e49b44183db211a1017b673b4">RawTile()</a>, and <a class="el" href="classRawTile.html#a6b09197c64be0c10942dde1cf8b18548">~RawTile()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="RawTile_8h_source.html">RawTile.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="classRawTile.html">RawTile</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.14 </li>
  </ul>
</div>
</body>
</html>
